This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### ++ (increment)
Examples |
    int a = 1;   // Sets 'a' to 1
    int b = a++; // Sets 'b' to 1, then increments 'a' to 2
    int c = a;   // Sets 'c' to 2
Description | Increases the value of an integer variable by 1. Equivalent to the operation i = i + 1. If the value of the variable i is five, then the expression i++ increases the value of i to 6.
Syntax |
    value++
Parameters |
value | int
Related | + (add) += (add assign) -- (decrement)

Updated on October 26, 2013 08:58:34pm PDT